sccs-unedit(1)

NAME
sccs-unedit - "Undo" the last edit or `get -e', return to previous condition

SYNOPSIS
sccs unedit [options] [file1 .. filen]

DESCRIPTION
The sccs unedit subcommand "undo"s the last edit or `get -e', and return the working copy to its previous condition. unedit backs out all pending changes made since the file was checked out. It should be used with extreme caution, since any changes you made since the get will be irretrievably lost.

OPTIONS

-o  Retrieves the unedited file under the original time of the requested version.

    Use this option with care, as it may be in conflict with make(1) rules. Using `unedit -o' thus may cause make to perform an automatic retrieval of the latest version as the s.file is newer than the gotten file, or cause make to skip the compilation as the compilation result is already newer than the gotten file.

    This option is a SCHILY extension that does not exist in historic sccs implementations.

EXAMPLES

To unedit the file xec.c in the current directory call:

    sccs unedit xec.c

ENVIRONMENT VARIABLES

See environ(7) for descriptions of the following environment variables that affect the execution of sccs-unedit(1): LANG, LC_ALL, LC_CTYPE, LC_MESSAGES, and NLSPATH.

SCCS_NO_HELP
    If set, sccs unedit will not automatically call help(1) with the SCCS error code in order to print a more helpful error message. Scripts that depend on the exact error messages of SCCS commands should set the environment variable SCCS_NO_HELP and set LC_ALL=C.

FILES

ATTRIBUTES

See attributes(7) for descriptions of the following attributes:

SEE ALSO

sccs(1), sccs-add(1), sccs-admin(1), sccs-branch(1), sccs-cdc(1), sccs-check(1), sccs-clean(1), sccs-comb(1), sccs-commit(1), sccs-create(1), sccs-cvt(1), sccs-deledit(1), sccs-delget(1), sccs-delta(1), sccs-diffs(1), sccs-edit(1), sccs-editor(1), sccs-enter(1), sccs-fix(1), sccs-get(1), sccs-help(1), sccs-histfile(1), sccs-info(1), sccs-init(1), sccs-istext(1), sccs-ldiffs(1), sccs-log(1), sccs-print(1), sccs-prs(1), sccs-prt(1), sccs-rcs2sccs(1), sccs-remove(1), sccs-rename(1), sccs-rmdel(1), sccs-root(1), sccs-sact(1), sccs-sccsdiff(1), sccs-status(1), sccs-tell(1), sccs-unget(1), sccs-val(1), what(1), sccschangeset(5), sccsfile(5).

BUGS

None currently known.

Mail bugs and suggestions to schilytools@mlists.in-berlin.de or open a ticket at https://codeberg.org/schilytools/schilytools/issues.

The mailing list archive may be found at:

https://mlists.in-berlin.de/mailman/listinfo/schilytools-mlists.in-berlin.de.

AUTHORS
sccs was originally written by Eric Allman at UCB in 1980. It was later maintained by various people at AT&T and Sun Microsystems. Since 2006, it has been maintained by Joerg Schilling and the schilytools project authors.

SOURCE DOWNLOAD
The source code for sccs is included in the schilytools project and may be retrieved from the schilytools project at Codeberg at

https://codeberg.org/schilytools/schilytools.

The download directory is

https://codeberg.org/schilytools/schilytools/releases.